<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>


    <!-- Link jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <style>

    </style>
</head>

<body>
    <div class="container-fluid">
        <!-- 1. Header - Navbar menu -->
        <!-- NAVBAR -->
        <nav class="navbar navbar-expand-lg navbar-light     container">
            <a class="navbar-brand" href="#">
                <h3 style="color: rgb(73 164 255); ;"><b>Weather App</b></h3>
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse  justify-content-end" id="navbarSupportedContent">
                <ul class="navbar-nav">
                    <li class="nav-item active">
                        <a style="color: rgb(73 164 255); ;" class="nav-item  p-3 border-a" href="#">Current</a>
                    </li>
                    <li class="nav-item active">
                        <a style="color: rgb(73 164 255); ;" class="nav-item  p-3 border-a" href="#">Forecast</a>
                    </li>
                </ul>
            </div>
        </nav>
        <!-- ------------------- -->


        <!--2 Highlight section -->

        <div class="text-white text-center" style="background-color: rgb(73 164 255);">
            <div class="container">
                <h1 style="padding: 50px;"> Get Current Weather Information</h1>
            </div>
        </div>
        <!-- ------------------- -->


        <!-- CONTENT -->
        <!-- 3. Features -->
        <div class="container-fluid margin-content" style="padding-top: 30px;">
            <div class="top bg-light text-center">
                <div class="row">
                    <div class="col-sm"></div>
                    <div class="col-sm">
                        <div class="col-sm-12" style="padding: 3px;">
                            <div>
                                <h4 style="color: rgb(73 164 255); ;">Enter City Name</h4>
                            </div>
                            <div class="row">
                                <div class="col-sm-4" style="padding: 5px;">
                                    <input class="form-control" type="text" id="inp-city-name" name="inp-city-name"
                                        placeholder="Enter city name">
                                </div>
                                <div class="col-sm-8" style="padding: 5px;">
                                    <div class="row form-group">
                                        <div class="col-sm-9">
                                            <input class="form-control" type="text" id="inp-day" name="inp-day"
                                                placeholder="Next day: Min -1 & Max - 16">
                                        </div>
                                        <div class="col-sm-3" style="padding: 1px;">
                                            <button id="btn-search" class="bg-primary text-white form-control">Search
                                                City</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm"></div>
                </div>
            </div>

            <div class="main" style="padding-top: 30px; padding-bottom: 200px;">
                <h2 id="h2-display" style="display:none ;"></h2>
                <table id="table-weather" class="table table-bordered table-striped table-hover container">
                    <thead class="text-white" style="background-color: rgb(73 164 255);">
                        <tr>
                            <th>Next day</th>
                            <th>Icon</th>
                            <th>Weather</th>
                            <th>Description</th>
                            <th>Morning Temperature</th>
                            <th>Night Temperature</th>
                            <th>Min. Temperature</th>
                            <th>Max. Temperature</th>
                            <th>Pressure</th>
                            <th>Humidity</th>
                            <th>Wind Speed</th>
                            <th>Wind Direction</th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>

            <div class="bottom bg-light" style="padding: 100px;"></div>
        </div>
        <!-- ------------------- -->


        <!-- FOOTER -->
        <div class="container-fluid text-white" style="padding: 30px;background-color: rgb(73 164 255);">
            <footer class="main-footer">
                <div class="text-center">
                    <strong>Copyright &copy; Weather App</strong>
                </div>
            </footer>
        </div>
    </div>
    <script>
        $(document).ready(function () {
            $("#btn-search").on("click", function () {
                //debugger;
                var cityName = $("#inp-city-name").val();
                var day = $("#inp-day").val();
                getForecast(cityName, day);
            })
        });
        function getForecast(paramCity, paramDay) {
            if (paramCity != '' && paramDay != '') {
                $.ajax({
                    url: 'http://api.openweathermap.org/data/2.5/forecast/daily?q=' + paramCity + "&units=metric" +
                        "&cnt=" + paramDay + "&APPID=c10bb3bd22f90d636baa008b1529ee25",
                    type: "GET",
                    dataType: "json",
                    success: function (data) {
                        debugger;
                        console.log(data);

                        $("#table-weather tbody").empty(); // Bỏ các dòng dữ liệu trong bảng
                        for (var i = 0; i < data.list.length; i++) {
                            //tao row
                            var bRow = $("<tr>").appendTo("#table-weather tbody");
                            //tao col
                            $("<td>").html(paramDay).appendTo(bRow);
                            $("<td>").html("<img src='http://openweathermap.org/img/w/"+ data.list[i].weather[0].icon + ".png'>").appendTo(bRow);
                            $("<td>").html(data.list[i].weather[0].main).appendTo(bRow);
                            $("<td>").html(data.list[i].weather[0].description).appendTo(bRow);
                            $("<td>").html(data.list[i].temp.morn + "℃").appendTo(bRow);
                            $("<td>").html(data.list[i].temp.night + "℃ ").appendTo(bRow);
                            $("<td>").html(data.list[i].temp.min + "℃ ").appendTo(bRow);
                            $("<td>").html(data.list[i].temp.max + "℃ ").appendTo(bRow);
                            $("<td>").html(data.list[i].pressure + "hpa ").appendTo(bRow);
                            $("<td>").html(data.list[i].humidity + "% ").appendTo(bRow);
                            $("<td>").html(data.list[i].speed + "m/s ").appendTo(bRow);
                            paramDay++;
                            $("<td>").html(data.list[i].deg).appendTo(bRow);
                        }

                        /*
                                                var vTable = document.getElementById("table-weather");
                        var vTableBody = vTable.getElementsByTagName("tbody")[0];
                        var stt = 1;
                        for (var i = 0; i < data.list.length; i++) {
                            var vRow = vTableBody.insertRow(-1);
                            var vCellStt = vRow.insertCell(0);
                            var vCellIcon = vRow.insertCell(1);
                            var vCellWeather = vRow.insertCell(2);
                            var vCellDesciption = vRow.insertCell(3);
                            var vCellMorningTemp = vRow.insertCell(4);
                            var vCellnightTemp = vRow.insertCell(5);
                            var vCellMinTemp = vRow.insertCell(6);
                            var vCellMaxTemp = vRow.insertCell(7);
                            var vCellPressure = vRow.insertCell(8);
                            var vCellHumity = vRow.insertCell(9);
                            var vCellWindSpeed = vRow.insertCell(10);
                            var vCellWindDirec = vRow.insertCell(11);

                            vCellStt.innerHTML = stt;
                            vCellIcon.innerHTML = "<img src='http://openweathermap.org/img/w/" + data.list[i].weather[0].icon + ".png'>";
                            vCellWeather.innerHTML = data.list[i].weather[0].main;
                            vCellDesciption.innerHTML = data.list[i].weather[0].description;
                            vCellMorningTemp.innerHTML = data.list[i].temp.morn + "℃";
                            vCellnightTemp.innerHTML = data.list[i].temp.night + "℃";
                            vCellMinTemp.innerHTML = data.list[i].temp.min + "℃";
                            vCellMaxTemp.innerHTML = data.list[i].temp.max + "℃";
                            vCellPressure.innerHTML = data.list[i].pressure + "hpa";
                            vCellHumity.innerHTML = data.list[i].humidity + "%";
                            vCellWindSpeed.innerHTML = data.list[i].speed + "m/s";
                            vCellWindDirec.innerHTML = data.list[i].deg;
                            stt++;
                        }

                        */
                    }
                });
            } else {
                console.error("Input not valid")
            }
        }
    </script>
</body>

</html>